Package org.eclipse.swt.events

## Interface FocusListener

All Known Implementing Classes:
  `FocusAdapter`

    public interface FocusListener

Classes which implement this interface provide methods that deal with the events that are generated as controls gain and lose focus.

After creating an instance of a class that implements this interface it can be added to a control using the `addFocusListener` method and removed using the `removeFocusListener` method. When a control gains or loses focus, the appropriate method will be invoked.

See Also:
  `FocusAdapter`, `FocusEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `focusGained​(FocusEvent event)` Sent when a control gets focus.
`void` `focusLost​(FocusEvent event)` Sent when a control loses focus.

### Method Detail

#### focusGained

    void focusGained​(FocusEvent event)

Sent when a control gets focus.

Parameters:
  `event` - an event containing information about the focus change

#### focusLost

    void focusLost​(FocusEvent event)

Sent when a control loses focus.

Parameters:
  `event` - an event containing information about the focus change